Index: palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 183)
+++ palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 190)
@@ -1,41 +1,44 @@
-load "$NCARG_ROOT/lib/ncarg/nclex/gsun/gsn_code.ncl"
+6load "$NCARG_ROOT/lib/ncarg/nclex/gsun/gsn_code.ncl"
 load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
 load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
 load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"
-
+ 
+;***************************************************
+; load ncl_preferences.ncl
+;***************************************************
+   
+if (isfilepresent("~/ncl_preferences.ncl")) then
+   loadscript("~/ncl_preferences.ncl")
+else
+  if (isfilepresent("~/palm/current_version/trunk/SCRIPTS/NCL/ncl_preferences.ncl")) then
+     loadscript( "~/palm/current_version/trunk/SCRIPTS/NCL/ncl_preferences.ncl")
+  else
+      print(" ")
+      print("'ncl_preferences.ncl' does not exist in $home or $home/palm/current_version/trunk/SCRIPTS/NCL/")
+      print(" ")
+      exit
+   end if
+end if
+   
 begin
- 
-   ; ***************************************************
-   ; read parameter_list
-   ; ***************************************************
-   
-   if (isfilepresent("~/.ncl_preferences")) then
-      parameter = asciiread("~/.ncl_preferences",129,"string")
-      delete(parameter@_FillValue)
-   else
-      if (isfilepresent("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences")) then
-         parameter = asciiread("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences",129,"string")
-         delete(parameter@_FillValue)
-      else
-         print(" ")
-         print("'.ncl_preferences' is not present in '~/palm/current_version/trunk/SRIPTS/NCL/'")
-         print(" ")
-         exit
-      end if
+      
+   if (cross_sections .NE. 0 .OR. profiles .NE. 0 .OR. timeseries .NE. 1 .OR. spectra .NE. 0)then
+      print(" ")
+      print("Please specify the used script in 'ncl_preferences.ncl' (Line 7-10)")
+      print(" ")
+      print("Set 'timeseries' equal 1 and the other variables equal 0")
+      print(" ")
+      exit
    end if
 
-   ; ***************************************************
-   ; set up default parameter values and strings if not assigned in prompt or parameter list
-   ; ***************************************************
+   ;***************************************************
+   ; set up default parameter values and strings
+   ;***************************************************
   
-   if ( .not. isvar("file_1") ) then     		  
-      if (parameter(7) .EQ. "File in") then
-         print(" ")
-         print("Please provide 1st input file 'file_1=' either in prompt or parameter_list")
-         print(" ")
-         exit
-      else
-         file_in = parameter(7)
-      end if   
+   if (file_1 .EQ. "File in") then
+      print(" ")
+      print("Please provide 1st input file 'file_1=' in 'ncl_preferences.ncl'")
+      print(" ")
+      exit 
    else
       file_in = file_1   
@@ -43,75 +46,27 @@
    if (.not. isfilepresent(file_in)) then
       print(" ")
-      print("Your 1st input file: '"+file_in+"' does not exist")
+      print("1st input file: '"+file_in+"' does not exist")
       print(" ")
       exit
    end if 
 
-   if ( .not. isvar("format_out") ) then   		
-      format_out = "x11"
-      if (parameter(9) .NE. "x11") then
-         format_out = parameter(9)  
-         if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
-            print(" ")
-            print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
-            print(" ")
-         end if  
-      end if 
-   else
-      if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
-         print(" ")
-         print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
-         print(" ")
-      end if   
-   end if
-
-   if ( .not. isvar("file_out") ) then    	 	; path+name of output file
-      file_out = "test"
-      if (parameter(11) .NE. "test") then
-         file_out = parameter(11)  
-      end if     
-   end if
-
-   if ( .not. isvar("no_columns") ) then    		; number of plots in one row
-      no_columns = 1
-      if (parameter(17) .NE. "1") then
-         no_columns = stringtointeger(parameter(17))  
-      end if
-   end if
-
-   if ( .not. isvar("no_lines") ) then     		; number of plot-lines on one sheet
-      no_lines = 2
-      if (parameter(19) .NE. "2") then
-         no_lines = stringtointeger(parameter(19))  
-      end if
+   if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
+      print(" ")
+      print("'format_out = "+format_out+"' is invalid and set to'x11'")
+      print(" ")
+      format_out="x11"
    end if  
 
-   if ( .not. isvar("var") ) then   			; variable name
-      check = True
-   end if
-
-   if ( .not. isvar("over") ) then     		        ; switches overlaying plots on
+   if (over .NE. 0 .AND. over .NE. 1) then
+      print(" ")
+      print("'over'= "+over+" is invalid and set to 0")
+      print(" ")
       over = 0
-      if (stringtointeger(parameter(37)) .NE. 0) then
-         over = stringtointeger(parameter(37))
-         if (stringtointeger(parameter(37)) .NE. 1) then
-            print(" ")
-            print("Your 'over'= "+over+" is invalid and set to 0")
-            print(" ")
-            over = 0
-         end if   
-      end if
-   else
-      if (over .NE. 0 .AND. over .NE. 1)then
-         print(" ")
-         print("Your 'over'= "+over+" is invalid and set to 0")
-         print(" ")
-         over = 0
-      end if
-   end if
-
-   ; ***************************************************
+   end if   
+ 
+
+   ;***************************************************
    ; open input file
-   ; ***************************************************
+   ;***************************************************
 
    f  = addfile(file_in , "r" )
@@ -119,5 +74,6 @@
    vNam  = getfilevarnames(f)
    print(" ")
-   print("Variable on netCDF file: " + vNam)
+   print("Variables in input file:")
+   print("- "+ vNam)
    print(" ")
    dim = dimsizes(vNam)
@@ -131,30 +87,11 @@
    nt  = dimsizes(t_all)
    delta_t=t_all(nt-1)/nt
-
-   ; ****************************************************	
+   
+   ;****************************************************	
    ; start of time step and different types of mistakes that could be done
-   ; ****************************************************
-
-   if ( .not. isvar("start_time_step") ) then   	
-      start_time_step=t_all(0)/3600
-      if (parameter(13) .NE. "t(0)") then
-         if (stringtodouble(parameter(13)) .GE. t_all(nt-1)/3600)
-            print(" ")
-            print("'start_time_step' = "+ parameter(13) +"h is equal or greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
-            print(" ")
-            print("Please select another 'start_time_step'")
-            print(" ")
-            exit
-         end if
-         if (stringtofloat(parameter(13)) .LT. t_all(0)/3600)
-            print(" ")
-            print("'start_time_step' = "+ parameter(13) +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
-            print(" ")
-            print("Please select another 'start_time_step'") 
-            print(" ")
-            exit
-         end if
-         start_time_step=stringtodouble(parameter(13)) 
-      end if
+   ;****************************************************
+
+   if (start_time_step .EQ. -1.) then   	
+      start_time_step=t_all(0)/3600      
    else 
       if (start_time_step .GE. t_all(nt-1)/3600)
@@ -175,7 +112,6 @@
       end if
    end if
-   start_time_step = start_time_step*3600
    do i=0,nt-2     
-      if (start_time_step .GE. t_all(i)-delta_t/2 .AND. start_time_step .LT. t_all(i)+delta_t/2)then
+      if (start_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. start_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          st=i
          break
@@ -185,38 +121,19 @@
       st=nt-2   
    end if
-      
-   ; ****************************************************
+   if (.not. isvar("st"))then
+      print(" ")
+      print("'start_time_step' = "+ start_time_step +"h is invalid")
+      print(" ")
+      print("Please select another 'start_time_step'")
+      print(" ")
+      exit
+   end if
+      
+   ;****************************************************
    ; end of time step and different types of mistakes that could be done
-   ; ****************************************************
-
-   if ( .not. isvar("end_time_step") ) then     	
-      end_time_step = t_all(nt-1)/3600
-      if (parameter(15) .NE. "t(end)") then
-         if (stringtodouble(parameter(15)) .LE. t_all(0)/3600)
-            print(" ")
-            print("'end_time_step' = "+parameter(15)+ "h is lower or equal than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
-            print(" ")
-            print("Please select another 'end_time_step'")
-            print(" ")
-            exit
-         end if
-         if (stringtodouble(parameter(15)) .GT. t_all(nt-1)/3600)
-            print(" ")
-            print("'end_time_step' = "+ parameter(15) +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
-            print(" ")
-            print("Please select another 'end_time_step'")  
-            print(" ")
-            exit
-         end if
-         if (stringtodouble(parameter(15)) .LE. start_time_step/3600)
-            print(" ")
-            print("'end_time_step' = "+ parameter(15) +"h is equal or lower than 'start_time_step' = "+parameter(13)+"h")
-            print(" ")
-            print("Please select another 'start_time_step' or 'end_time_step'")
-            print(" ")
-            exit
-         end if
-         end_time_step = stringtodouble(parameter(15))
-      end if    
+   ;****************************************************
+
+   if (end_time_step .EQ. -1.) then     	
+      end_time_step = t_all(nt-1)/3600  
    else
       if (end_time_step .LE. t_all(0)/3600)
@@ -245,11 +162,19 @@
       end if
    end if
-   end_time_step = end_time_step*3600
    do i=0,nt-1     
-      if (end_time_step .GE. t_all(i)-delta_t/2 .AND. end_time_step .LT. t_all(i)+delta_t/2)then
+      if (end_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. end_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          et=i
          break
       end if
    end do 
+   
+   if (.not. isvar("et"))then
+      print(" ")
+      print("'end_time_step' = "+ end_time_step +"h is invalid")
+      print(" ")
+      print("Please select another 'end_time_step'")
+      print(" ")
+      exit
+   end if
  
    delete(start_time_step)
@@ -358,9 +283,6 @@
          check = True
       end if 
-      if( isvar("var") ) then     		
-         check = isStrSubset( var,","+vNam(varn)+"," )
-      end if
-      if (parameter(21) .NE. "variables") then
-         var = parameter(21) 
+  
+      if (var .NE. "all") then
          check = isStrSubset( var,","+vNam(varn)+"," )
       end if 
@@ -519,5 +441,6 @@
    if (count_var .EQ. 0) then
       print(" ")
-      print("The variables 'var=Â°"+var+"Â°' do not exist on your input file")
+      print("The variables 'var="+var+"' do not exist on your input file;")
+      print("be sure to have one comma berfore and after each variable")
       print(" ")
       exit
@@ -531,9 +454,6 @@
          check = True
       end if     
-      if( isvar("var") ) then     		
-         check = isStrSubset( var,","+vNam(varn)+"," )
-      end if
-      if (parameter(21) .NE. "variables") then
-         var = parameter(21) 
+    
+      if (var .NE. "all") then
          check = isStrSubset( var,","+vNam(varn)+"," ) 
       end if 
@@ -709,9 +629,6 @@
          check = True
       end if    
-      if( isvar("var") ) then     		
-         check = isStrSubset( var,","+vNam(varn)+"," )
-      end if
-      if (parameter(21) .NE. "variables") then
-         var = parameter(21) 
+  
+      if (var.NE. "all") then
          check = isStrSubset( var,","+vNam(varn)+"," ) 
       end if 
